Mailinglist Archive: opensuse-buildservice (170 mails)

< Previous Next >
[opensuse-buildservice] Mixing package versions ?
  • From: Vincent Petry <PVince81@xxxxxxxx>
  • Date: Sat, 19 Sep 2009 01:06:08 +0800
  • Message-id: <4AB3BE00.8080909@xxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I have built a package for lifeograph version 0.4.1 in my home
project (home:PVince81).
The most recent version of this software, which is 0.5.4, only
builds in openSUSE factory because it requires a higher version of
gtkmm.
For the other openSUSE versions like 11.1, only the version 0.4.1
can compile.

My question here is whether it is allowed, by convention, to mix
such package versions ? It means I would have to modify the spec
file to detect which openSUSE version we're building against, and
switch the version field accordingly. It also means that both
versions of the sources of lifeograph will be present in the OBS
package and would also be packed together into the same SRC RPM. Is
that correct ?

Thanks,

Vincent Petry
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)
Comment: Using GnuPG with SUSE - http://enigmail.mozdev.org

iEYEARECAAYFAkqzvgAACgkQSSdxpfEEQExsLQCgq7hhZRgPw0swl12CuYO+37ng
N3sAoJV0M+mO/p/rphC9cEEW1iTfWKal
=fYcs
-----END PGP SIGNATURE-----

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups